hdf.view

## Enum ViewProperties.DataViewType

- Object
- - Enum<ViewProperties.DataViewType>
  - - hdf.view.ViewProperties.DataViewType

- All Implemented Interfaces:
    Serializable, Comparable<ViewProperties.DataViewType>
  Enclosing class:
    ViewProperties

      public static enum ViewProperties.DataViewType
      extends Enum<ViewProperties.DataViewType>

  Used to create different DataViews for a given HObject.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `IMAGE`
    `METADATA`
    `PALETTE`
    `TABLE`
    `TREEVIEW`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ViewProperties.DataViewType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ViewProperties.DataViewType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TABLE

          public static final ViewProperties.DataViewType TABLE

    - #### IMAGE

          public static final ViewProperties.DataViewType IMAGE

    - #### PALETTE

          public static final ViewProperties.DataViewType PALETTE

    - #### METADATA

          public static final ViewProperties.DataViewType METADATA

    - #### TREEVIEW

          public static final ViewProperties.DataViewType TREEVIEW

  - ### Method Detail

    - #### values

          public static ViewProperties.DataViewType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ViewProperties.DataViewType c : ViewProperties.DataViewType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ViewProperties.DataViewType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2018. All Rights Reserved.